YUI({ filter: 'raw' }).use("node", function (Y) {
    Y.one("#help-doc-dialog").hide();
    
    var getIframeDocument = function(){
		// Source: http://xkr.us/articles/dom/iframe-document/
		var oIframe = Y.Node.getDOMNode(Y.one('#help-content-html'));
		var oDoc = (oIframe.contentWindow || oIframe.contentDocument);
		if (oDoc.document) oDoc = oDoc.document;
		return oDoc;			
	};
    
    // when a help link is clicked we will hijack it and display the contents in
    // a 'modal' dialog
    var show_docs = function(e) {
        var id = e.currentTarget.get('id');
        e.preventDefault();     //Don't want to actually follow the link
        
        var href = e.currentTarget.get('href');
        if(href)
        {
            // Style needs to be set to hidden on the div as it can't alter
            // style settings in the css
            Y.one("#help-doc-dialog").show();
            // Y.one("#help-doc-dialog").setStyle('display', 'block');
            getIframeDocument().location = href;
        }
    };
    
    var hideme = function(e) {
        Y.one("#help-doc-dialog").hide();
        // Y.one("#help-doc-dialog").setStyle('display', 'none');
    };
    
    Y.all(".help_link").on("click", show_docs);
    Y.all(".help-doc-dialog-button").on("click", hideme);
});